services:
  portfolio:
    image: ghcr.io/nmemmert/siteforge:latest
    pull_policy: always
    container_name: siteforge-app
    ports:
      - "4173:4173"
    environment:
      - PORT=4173
      - SITEFORGE_DATA_DIR=/app/data
      - ADMIN_PASSWORD=`generate a random password and set it here`
      - RESEND_API_KEY=`set your Resend API key here`
    volumes:
      - /media/ZimaOS-HD/AppData/siteforge/data:/app/data
    restart: unless-stopped
